---
title: 文本属性
date: 2024-06-06T23:51:09Z
tags: []
---

## 文本阴影

语法:
`text-shadow:h-shadwo v-shadow blur color`

|值|描述|
| -----------------------| --------------------------------|
|​`h-shadow`​|必须写,水平阴影的位置,允许负值|
|​`v-shadow`​|必须写,垂直阴影的位置,允许负值|
|​`blur`​|可选,模糊的距离|
|​`color`​|可选,阴影的颜色|
|默认值:`text-shadow:none`​表示没有阴影||

## 文本换行

|值|含义|
| ------| ----------------------------------------------------------|
|​`normal`​|文本超出边界自动换行,文本中的换行被浏览器识别为一个空格|
|​`pre`​|原样输出|
|​`pre-wrap`​|pre效果基础上,超出元素边界自动换行|
|​`pre-line`​|pre效果基础上,超出元素边界自动换行，且忽略文本前后的空格|
|​`noweap`​|强制不换行|

## 文本溢出

​`text-overflow`​

|值|含义|
| -----------------------------------------------------------------------------| -----------------------------------------|
|​`clip`​|当内联内容溢出时,会将溢出部分裁掉(默认)|
|​`elipsis`​|当内联内容溢出时,会将溢出部分替换为...|
|要是text-overflow生效,块容器定义overflow为非visible值,white-space为nowrap值||

## 文本修饰

`text-decoration:text-decoration-line text-decoration-style text-decoration-color`
子属性及其含义:

- ​`text-decoration-line`​:设置文本装饰线的位置
  - ​`none`​:指定文字无装饰(默认值)
  - ​`underline`​:下划线
  - ​`overline`​:上划线
  - ​`line-through`​:贯穿线
- ​`text-decoration-style`​:文本装饰的形状
  - ​`solid`​:实线(默认)
  - ​`double`​:双线
  - ​`dotted`​:点状线条
  - ​`dashed`​:虚线
  - ​`waxy`​:波浪线
- ​`text-decoration-color`​:文本装饰线条颜色

## 文本描边

​`-webkit-text-stroke-width`​: 设置文本描边的宽度  
​`-webkit-text-stroke-color`​: 设置文本描边的颜色  
​`-webkit-text-stroke`​:设置文本描边宽度和颜色
