---
title: 三种交换技术
date: 2024-06-06T23:50:45Z
tags: []
---

## 电路交换(电话)

### 电路交换的优点

1. 主叫端到被叫端建立了一条专用的物理通路,这个用户始终占用端到端的线路资源,数据直送,传输效率高

### 电路交换的缺点

1. 建立/释放连接,需要额外的时间开销
2. 线路双方独占,利用率低
3. 线路分配灵活性差
4. 交换节点不支持"差错控制"

## 报文交换(电报)

### 报文交换的优点

1. 通信前无需建立连接
2. 数据以"报文"为单位被交换时间"储存转发",通讯线路可以灵活分配
3. 无需独占一条物理线路,相比电路交换,线路利用率高
4. 交换节点支持"差错控制"

### 报文交换的缺点

1. 报文不定长,不方便转发管理
2. 长报文的储存时间开销大,缓存开销大
3. 长报文容易出错,重传代价高

## 分组交换(现代计算机网络)

### 分组交换的优点

1. 通信前无需建立连接
2. 通信以"分组"为单位被进行交换节点间"储存转发",通讯线路可以灵活分配
3. 在通讯时间内,两个用户无需独占整条线路,相比电路交换,线路利用率高

相比报文交换,改进了如下问题:

1. 分组定长,方便储存转发和管理
2. 分组的储存转发时间开销小,缓存开销小
3. 分组不容易出错,重传效率低

### 分组交换的缺点

1. 相比于报文交换,控制信息占比增长
2. 相比于电路交换,存在存储转发时延
3. 报文被拆分为多个分组,传输过程中可能出现失序,丢失等问题,增加处理的复杂度

### "虚电路交换"技术

按照既定的通信线路发送

## 性能分析

|                         | 电路交换                | 报文交换 | 分组交流       |
| ----------------------- | ----------------------- | -------- | -------------- |
| 完成传输所需时间        | 最少(排除建立/释放时间) | 最多     | 最少           |
| 储存转发时延            | 无                      | 较高     | 较小           |
| 通信前是否需要建立连接? | 是                      | 否       | 否             |
| 缓存开销                | 无                      | 高       | 低             |
| 是否支持差错控制?       | 不支持                  | 支持     | 支持           |
| 报文数据有序到达        | 是                      | 是       | 不是           |
| 是否需要额外的信息控制  | 否                      | 是       | 是(占比非常大) |
| 线路分配灵活率          | 不灵活                  | 灵活     | 非常灵活       |
| 线路利用率              | 低                      | 高       | 非常高         |
